server:
  port: 8313   #132服务器上的端口
spring:
  datasource:
    dynamic:
      primary: main
      datasource:
        main:
          driver-class-name: com.mysql.jdbc.Driver
          url: jdbc:mysql://192.168.90.6:3306/huludao_main?allowMultiQueries=true&useSSL=false&useUnicode=true&characterEncoding=UTF-8
          username: root
          password: Huludao@2022
          type: com.alibaba.druid.pool.DruidDataSource
        monitor:
          driver-class-name: com.mysql.jdbc.Driver
          url: jdbc:mysql://192.168.90.6:3306/nf_monitor?allowMultiQueries=true&useSSL=false&useUnicode=true&characterEncoding=UTF-8
          username: root
          password: Huludao@2022
          type: com.alibaba.druid.pool.DruidDataSource
        scada:
          driver-class-name: com.mysql.jdbc.Driver
          url: jdbc:mysql://192.168.90.6:3306/huludao_scada?allowMultiQueries=true&useSSL=false&useUnicode=true&characterEncoding=UTF-8
          username: root
          password: Huludao@2022
          type: com.alibaba.druid.pool.DruidDataSource
  autoconfigure:
    exclude: com.alibaba.druid.spring.boot.autoconfigure.DruidDataSourceAutoConfigure # 去除druid配置
  data:
    mongodb:
      uri: mongodb://huludaoAdmin:Hld2022A@192.168.90.9:27017/monitoring

  redis:
    #超时时间
    # redis 的地址链接的华为云服务器，正式环境需要改动
    timeout: 50000
    host: 192.168.90.6
    port: 6379
    password: Huludao@2022
    database: 0
    pool:
      max-active: 8
      max-idle: 100
      max-wait: -1
      min-idle: 4

  rabbitmq:
    host: 192.168.90.3
    port: 5672
    username: huludao
    password: Huludao@2022
    virtual-host: /
    listener:
      simple:
        acknowledge-mode: manual   # 配置简单手动的确认消息方式
        concurrency: 1    #最小的消费者数量
        max-concurrency:  5 #最大的消费者数量

xnFile:   # 葫芦岛项目节点文件保存路径
  path:  /data/huludaofile/file      # 公司部署后的路径
  pic:   /data/huludaofile/pic
  url-path: http://192.168.90.3:10000/data/huludaofile/file

nginx:
  pic:   http://192.168.90.5:10000/gaofen/huludaofile/pic/  #公司部署后的路径
  file:  http://192.168.90.5:10000/gaofen/huludaofile/file/

weather:
  url: http://apis.juhe.cn/simpleWeather/query
  key: d05cefc6e34227ecaa5e28615f76966b




# 高分天气key(测试用的到期时间2021-7-2)
#gaofen:
#  weather:
#    rainFallUrl: http://gfapi.mlogcn.com/high_res/v001/nowcasting    #分钟级未来降雨预测
#    alarmUrl: http://gfapi.mlogcn.com/weather/v001/alarm     # 天气预警
#    dayByDayForecastUrl: http://gfapi.mlogcn.com/weather/v001/day   # 逐日日报Url
#    smartUrl: http://gfapi.mlogcn.com/weather/v001/now   #智能实况接口
#    oneByOneUrl: http://gfapi.mlogcn.com/weather/v001/hour #逐小时天气接口
#    historyWeatherUrl: http://gfapi.mlogcn.com/weather/v001/hisWeather #获取历史天气接口
#    key: lGrM39X3U5gFn0CXjxtZohe5REz1RJm7

gaofen:
  weather:
    rainFallUrl: http://192.168.90.5:10000/gaofen/high_res/v001/nowcasting    #分钟级未来降雨预测
    alarmUrl: http://192.168.90.5:10000/gaofen/weather/v001/alarm     # 天气预警
    dayByDayForecastUrl: http://192.168.90.5:10000/gaofen/weather/v001/day   # 逐日日报Url
    smartUrl: http://192.168.90.5:10000/gaofen/weather/v001/now   #智能实况接口
    oneByOneUrl: http://192.168.90.5:10000/gaofen/weather/v001/hour #逐小时天气接口
    historyWeatherUrl: http://192.168.90.5:10000/gaofen/weather/v001/hisWeather #获取历史天气接口
    key: F2hH0eoTQS99jaKr3v4AIWFQkJwRjMAU

message:
  send:
    sendMessageUrl: http://192.168.90.5:10000/message/sms_send/send

camera-visit:
  url: http://192.168.90.5:10000/openapi/%s